function [c, ceq] = nonlcon_quad(x,Q,r,var_c,ineqs)
    n = length(var_c);
    c = [];
    ceq = [];
    for i = 1:n
        val = x(i) - (x*Q(:,:,i)*x' + r(i,:)*x' + var_c(i));
        if ineqs(i)
            c = [c; val];
        else
            ceq = [ceq; val];
        end
    end
end