function [error,error_msg,fhandle] = test_fhandle(input,name)
    error = 0;
    error_msg = '';
    fhandle = 0;
    string_f = '';
    if (~isempty(input) && input(1) == '@')
        string_f = input(2:length(input));
    end
    if (isempty(string_f))
        error = 1;
        error_msg = sprintf('Error: The %s must be given as a function handle on the form @myFun.',name);
    else
        fhandle = str2func(string_f);
        info = functions(fhandle);
        if (isempty(info.file))
            error = 1;
            error_msg = sprintf('Error: The %s must be given as a function handle on the form @myFun, where myFun is on the path.',name);
        end        
    end
end